/*
 * BEGIN LICENSE
 * This file is in the public domain
 * END LICENSE
 */

namespace Unity.SamplePlace {

  /* Canonical schema for the results model shared with the Unity shell */
  public enum ResultsColumn
  {
    URI = 0,
    ICON_HINT,
    GROUP_ID,
    MIMETYPE,
    DISPLAY_NAME,
    COMMENT
  }
  
  /* Canonical schema for the sections model shared with the Unity shell */
  public enum SectionsColumn
  {
    DISPLAY_NAME = 0,
    ICON_HINT
  }
  
  /* Place specific set of sections. The enum value maps to the row index
   * in the sections model */
  public enum Section
  {
    ALL_STUFF = 0,
    MY_STUFF,
    YOUR_STUFF,
    LAST_SECTION
  }
  
  /* Canonical schema for the groups model shared with the Unity shell */
  public enum GroupsColumn
  {
    RENDERER = 0,
    DISPLAY_NAME,
    ICON_HINT
  }
  
  /* Place specific set of groups. The enum value maps to the row index in
   * the groups model */
  public enum Group
  {
    GROUP_ONE,
    GROUP_TWO
  }

} /* End namespace Unity.SamplePlace */

